osg::GetScalarValue< T > Class Template Reference

`#include <ValueObject>`

Inheritance diagram for osg::GetScalarValue< T >:

## Public Member Functions

| GetScalarValue ()
virtual void | apply (bool in_value)
virtual void | apply (char in_value)
virtual void | apply (unsigned char in_value)
virtual void | apply (short in_value)
virtual void | apply (unsigned short in_value)
virtual void | apply (int in_value)
virtual void | apply (unsigned int in_value)
virtual void | apply (float in_value)
virtual void | apply (double in_value)
Public Member Functions inherited from osg::ValueObject::GetValueVisitor
virtual | ~GetValueVisitor ()
virtual void | apply (const std::string &)
virtual void | apply (const osg::Vec2b &)
virtual void | apply (const osg::Vec3b &)
virtual void | apply (const osg::Vec4b &)
virtual void | apply (const osg::Vec2ub &)
virtual void | apply (const osg::Vec3ub &)
virtual void | apply (const osg::Vec4ub &)
virtual void | apply (const osg::Vec2s &)
virtual void | apply (const osg::Vec3s &)
virtual void | apply (const osg::Vec4s &)
virtual void | apply (const osg::Vec2us &)
virtual void | apply (const osg::Vec3us &)
virtual void | apply (const osg::Vec4us &)
virtual void | apply (const osg::Vec2i &)
virtual void | apply (const osg::Vec3i &)
virtual void | apply (const osg::Vec4i &)
virtual void | apply (const osg::Vec2ui &)
virtual void | apply (const osg::Vec3ui &)
virtual void | apply (const osg::Vec4ui &)
virtual void | apply (const osg::Vec2f &)
virtual void | apply (const osg::Vec3f &)
virtual void | apply (const osg::Vec4f &)
virtual void | apply (const osg::Vec2d &)
virtual void | apply (const osg::Vec3d &)
virtual void | apply (const osg::Vec4d &)
virtual void | apply (const osg::Quat &)
virtual void | apply (const osg::Plane &)
virtual void | apply (const osg::Matrixf &)
virtual void | apply (const osg::Matrixd &)
virtual void | apply (const osg::BoundingBoxf &)
virtual void | apply (const osg::BoundingBoxd &)
virtual void | apply (const osg::BoundingSpheref &)
virtual void | apply (const osg::BoundingSphered &)

## Public Attributes

bool | set
T | value

## Constructor & Destructor Documentation

## GetScalarValue()

template<typename T>

osg::GetScalarValue< T >::GetScalarValue | ( |  | ) |

inline

References set, and value.

## Member Function Documentation

## apply() [1/9]

template<typename T>

virtual void osg::GetScalarValue< T >::apply | ( | bool | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::GetValueVisitor.

References set, and value.

## apply() [2/9]

template<typename T>

virtual void osg::GetScalarValue< T >::apply | ( | char | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::GetValueVisitor.

References set, and value.

## apply() [3/9]

template<typename T>

virtual void osg::GetScalarValue< T >::apply | ( | double | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::GetValueVisitor.

References set, and value.

## apply() [4/9]

template<typename T>

virtual void osg::GetScalarValue< T >::apply | ( | float | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::GetValueVisitor.

References set, and value.

## apply() [5/9]

template<typename T>

virtual void osg::GetScalarValue< T >::apply | ( | int | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::GetValueVisitor.

References set, and value.

## apply() [6/9]

template<typename T>

virtual void osg::GetScalarValue< T >::apply | ( | short | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::GetValueVisitor.

References set, and value.

## apply() [7/9]

template<typename T>

virtual void osg::GetScalarValue< T >::apply | ( | unsigned char | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::GetValueVisitor.

References set, and value.

## apply() [8/9]

template<typename T>

virtual void osg::GetScalarValue< T >::apply | ( | unsigned int | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::GetValueVisitor.

References set, and value.

## apply() [9/9]

template<typename T>

virtual void osg::GetScalarValue< T >::apply | ( | unsigned short | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::GetValueVisitor.

References set, and value.

## Member Data Documentation

## set

template<typename T>

bool osg::GetScalarValue< T >::set

Referenced by apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), GetScalarValue(), and osg::ValueObject::getScalarValue().

## value

template<typename T>

T osg::GetScalarValue< T >::value

Referenced by apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), GetScalarValue(), and osg::ValueObject::getScalarValue().

The documentation for this class was generated from the following file:

- ValueObject